import React from 'react';
import PropTypes from 'prop-types';
import { Link } from 'react-router';
import cx from 'classnames';
export default function LinkBasic(_ref) {
  var className = _ref.className,
      disabled = _ref.disabled,
      handleClick = _ref.handleClick,
      icon = _ref.icon,
      literal = _ref.literal,
      rel = _ref.rel,
      target = _ref.target,
      title = _ref.title,
      useReactRouterLinks = _ref.useReactRouterLinks,
      _ref$url = _ref.url,
      url = _ref$url === void 0 ? '#' : _ref$url;
  var linkClassName = cx('sui-LinkBasic', className);

  var renderContent = function renderContent() {
    return icon && literal ? React.createElement("span", null, icon, literal) : literal || icon;
  };

  if (disabled) {
    return React.createElement("span", {
      className: linkClassName,
      onClick: handleClick,
      title: title
    }, renderContent());
  }

  if (useReactRouterLinks) {
    return React.createElement(Link, {
      className: linkClassName,
      onClick: handleClick,
      rel: rel,
      target: target,
      title: title,
      to: url
    }, renderContent());
  }

  return React.createElement("a", {
    className: linkClassName,
    href: url,
    onClick: handleClick,
    rel: rel,
    target: target,
    title: title
  }, renderContent());
}
LinkBasic.displayName = 'LinkBasic';